<template>
  <q-dialog v-model="computedShow">
    <q-card class="card">
      <q-bar class="bg-primary text-white"
        >Queue
        <q-space />
      </q-bar>
      <span>{{ computedExperiment }}</span>
    </q-card>
  </q-dialog>
</template>

<script lang="ts">
import { ExperimentBlock } from 'src/models/experiment';
import { defineComponent, PropType, computed } from 'vue';

export default defineComponent({
  props: {
    show: {
      type: Boolean,
      default: () => false,
    },
    experiment: {
      type: Array as PropType<Array<ExperimentBlock>>,
      default: () => [] as Array<ExperimentBlock>,
    },
  },
  setup(props, { emit }) {
    const computedShow = computed({
      get: () => {
        return props.show;
      },
      set: (value: boolean) => {
        emit('update:show', value);
      },
    });
    const computedExperiment = computed(() => props.experiment);

    return {
      computedShow,
      computedExperiment
    };
  },
});
</script>

<style lang="sass" scoped>
.card
  width: 100%
  max-width: 70vw
  min-height: 70vh
  max-height: 85vh
</style>
